Subject: RE: [External] : Re: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Drew Adams <[email-masked]>
Date: Tue, 3 May 2022 14:58:37 +0000

> > I thought that by default Isearch always should be literal,
> > so the user could search only for plain ', and not to match
> > its fancy variants.
> 
> No, I want the default Isearch to fold `' with the 
> fancy variants in these modes.  :-)

Do what you want for your own use.  Please read
the bug report for what this reporter reported as
the problem and suggested solutions.

Juri is right, here.  For Emacs default behavior,
Isearch should do what it does generally.

But there should be a simple Isearch binding (at
least in places such as Info) that toggles
folding of _these particular_ confusables
(misguidedly introduced by foisting curly quotes
on Info).  This toggling should be separate from
toggling the more general char-folding.

[And see what I suggested about maybe providing
feedback when users can't find ` matches etc.
There's unfortunately no easy, complete solution
to this problem, I'm afraid.]

Users should also be able to specify whether,
for them, such folding is on by default.

IOW, make it easy for users to control this. But
don't change Isearch behavior here by default.

Yes, unfortunately, that won't help uninitiated
users deal with these confusables as well as
would folding them by default.  But it's saner.

And it would be better if the default font, at
least for Info and Help, were one that did not
confuse these quotes so easily visually.  The
default, at least on MS Windows, is especially
pernicious in this regard.

This is just another annoyance/headache caused
by Emacs adopting curly quoting everywhere.

Emacs has tied itself in knots to confuse users
and make their life more difficult in Info and
Help, all in the name of becoming more "modern"
by changing the brilliant, simple text feature
that was `...' to plain old curly quotes.  Bad
dog.